﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MyFirstSLApp
{
    public partial class BirthdayCountdown : UserControl
    {
        public BirthdayCountdown()
        {
            InitializeComponent();
        }

        /// <summary>
        /// カレンダーの日付が変わったときのイベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Calendar_SelectedDatesChanged(object sender, SelectionChangedEventArgs e)
        {
            DateTime birth = calendar.SelectedDate.Value;
            TimeSpan lifeTime = DateTime.Today.Subtract(birth);
            DateTime nextBirth = new DateTime(DateTime.Today.Year, birth.Month, birth.Day); //閏年の2/29を選択した場合はエラーになります！
            if (nextBirth < DateTime.Today)
            {
                nextBirth = nextBirth.AddYears(1);
            }

            TimeSpan toNext = nextBirth.Subtract(DateTime.Today);

            this.message.Text = string.Format("生まれてから{0}日目　{1}", lifeTime.Days,
                toNext.Days == 0 ? "誕生日おめでとう！" :
                string.Format("次の誕生日まであと{0}日", toNext.Days));
        }
    }
}


